<template>
  <nav class="navbar navbar-expand-lg navbar-dark bg-primary shadow-sm">
    <div class="container-fluid">
      <router-link
        to="/"
        class="navbar-brand ms-3"
      >
        <img
          alt="Vue logo"
          src="./assets/logo.png"
          width="50"
        >
      </router-link>
      <button
        class="navbar-toggler"
        type="button"
        data-bs-toggle="collapse"
        data-bs-target="#navbarSupportedContent"
        aria-controls="navbarSupportedContent"
        aria-expanded="false"
        aria-label="Toggle navigation"
      >
        <span class="navbar-toggler-icon" />
      </button>
      <div
        id="navbarSupportedContent"
        class="collapse navbar-collapse"
      >
        <ul class="navbar-nav me-auto mb-2 mb-lg-0">
          <li class="nav-item">
            <router-link
              to="/table"
              class="nav-link"
            >
              Table
            </router-link>
          </li>
          <li class="nav-item">
            <router-link
              to="/form"
              class="nav-link"
            >
              Form
            </router-link>
          </li>
          <li class="nav-item">
            <router-link
              to="/libpf"
              class="nav-link"
            >
              Libpf
            </router-link>
          </li>
          <li class="nav-item">
            <router-link
              to="/leaflet"
              class="nav-link"
            >
              Leaflet
            </router-link>
          </li>
        </ul>
        <ul class="d-flex navbar-nav">
          <li
            class="nav-item"
          >
            <router-link
              to="/tabs"
              class="nav-link"
            >
              Tabs
            </router-link>
          </li>
          <li
            class="nav-item"
          >
            <router-link
              to="/accordion"
              class="nav-link"
            >
              Accordion
            </router-link>
          </li>
          <li
            class="nav-item"
          >
            <router-link
              to="/sankey"
              class="nav-link"
            >
              Sankey
            </router-link>
          </li>
        </ul>
      </div>
    </div>
  </nav>
  <router-view />
</template>

<script>
export default {
  name: 'App'
}
</script>

<style lang="scss">
  $primary: #1e7878;
  $secondary: #917f1d;
  @import 'bootstrap';
</style>
